ALAS-2021-1546


Amazon Linux AMI Security Advisory: ALAS-2021-1546
Advisory Release Date: 2021-10-29 16:37 Pacific
Advisory Updated Date: 2021-11-04 18:54 Pacific
Severity: Important
References: CVE-2021-42340 

Issue Overview:

A memory leak flaw was found in Apache Tomcat, where an HTTP upgrade connection does not release for WebSocket connections once the WebSocket connection is closed. If a sufficient number of such requests are made, an OutOfMemoryError occurs, leading to a denial of service. The highest threat from this vulnerability is to system availability. (CVE-2021-42340)


Affected Packages:

tomcat8


Issue Correction:
Run yum update tomcat8 to update your system.

New Packages:
noarch:
    tomcat8-log4j-8.5.72-1.89.amzn1.noarch
    tomcat8-lib-8.5.72-1.89.amzn1.noarch
    tomcat8-javadoc-8.5.72-1.89.amzn1.noarch
    tomcat8-jsp-2.3-api-8.5.72-1.89.amzn1.noarch
    tomcat8-webapps-8.5.72-1.89.amzn1.noarch
    tomcat8-admin-webapps-8.5.72-1.89.amzn1.noarch
    tomcat8-el-3.0-api-8.5.72-1.89.amzn1.noarch
    tomcat8-servlet-3.1-api-8.5.72-1.89.amzn1.noarch
    tomcat8-docs-webapp-8.5.72-1.89.amzn1.noarch
    tomcat8-8.5.72-1.89.amzn1.noarch

src:
    tomcat8-8.5.72-1.89.amzn1.src